@import url("http://fonts.googleapis.com/css?family=Shadows+Into+Light");
@import url("https://fonts.googleapis.com/css?family=Tangerine");

body,
html,
div.board,
div#react-container {
    height: 100%;
    overflow: hidden;
}

body {
    margin: 0;
    padding: 0;
}

div.board {
    width: 100%;
    background-image: url("./fondo.svg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}


div.note {
    height: 150px;
    width: 150px;
    border-radius: 10px;
    padding: 3px;
    background-color: rgb(249, 233, 92);
    margin: 2px 0;
    position: absolute;
    cursor: -webkit-grab;
    cursor: grab;
    -webkit-box-shadow: 5px 5px 15px 0 rgba(0, 0, 0, .2);
    box-shadow: 5px 5px 15px 0 rgba(0, 0, 0, .2);
}

div.note:active {
    cursor: -webkit-grabbing;
}

div.note p {
    font-size: 22px;
    padding: 5px;
    font-family: 'Shadows Into Light', 'Tangerine', Arial;
}

div.note:hover > span {
    opacity: 1;
}

div.note > span {
    position: absolute;
    bottom: 2px;
    right: 2px;
    opacity: 0;
    transition: opacity .25s linear;
}

div.note button {
    margin: 2px;
}

div.note > textarea {
    height: 75%;
    background: rgba(255, 255, 255, .5);
}

.glyphicon-plus {
    position: fixed;
    top: 10px;
    right: 10px;
}

.minimal-button {
    padding: 8px 16px;
    border: none;
    border-radius: 4px;
    font-size: 14px;
    transition: background-color 0.3s ease;
    background-color: transparent;
}

.minimal-button.edit {
    color: #007bff;
}

.minimal-button.edit:hover {
    background-color: rgba(0, 123, 255, 0.1);
}

.minimal-button.delete {
    color: #dc3545;
}

.minimal-button.delete:hover {
    background-color: rgba(220, 53, 69, 0.1);
}
